-- xenjine layer 2 tutorial sql 1
-- c2008-2009 lukas irwin sysop [ at ] xhrit.com
-- tutorial_sql_1.module

-- required
function init()
	print "[tutorial] test sql"
	sql = xcore.xsql( "modules/tutorial_sql_1/resources/tutorial_sql.db" )
	sql:exe( "CREATE TABLE units (name text, mobility int, attack int, defense int)" )
	sql:exe( "insert into units (name, mobility, attack, defense) values ('Anti-tank', 2, 4, 2)" )
	sql:exe( "insert into units (name, mobility, attack, defense) values ('Assault trooper', 3, 3, 3)" )
	
	print "[tutorial] test sql"
	q = sql:exe( "select * from units" )

	print ( "[tutorial]sql:head_size() : " .. q:getHeadCount() )
	tmp = ""
	for i = 0, q:getHeadCount()-1 do tmp = tmp .. ", " .. q:getHead( i ) end
	print ( "[tutorial] head : " .. tmp )
	tmp = ""
	for i = 0, q:getDataCount()-1 do tmp = tmp .. ", " .. q:getData( i ) end
	print ( "[tutorial] data : " .. tmp )

	print ( "[tutorial] num rows : " .. q:getRowCount() )
	sql:removeResult( q )
	
	sql:exe( "PRAGMA table_info( units );" )
end

-- required function stubs
function render() end
function update() end

-- end of file
