-- state_scores object
-- lwi
-- ...

state_scores = state:new()

print "[state_scores]"

-- creation
function state_scores:new (o)
	print "[state_scores] new state_scores"
	o = o or {}
	setmetatable(o, self)
	self.__index = self
	self.sid = 0
	
		-- add some static text describing the demo
	text = [[
	Xenos Engine Tutorial Statemachine
	
	The Current state is 'scores'. I am going
	to leave this state pretty much blank. I am sure
	you get the idea tho. You can have as many states as
	you want and put whatever code you want in each.
	
	Press esc to return to the menu state.
	]]
	text_scores = sim:addText( 0, text, 50, 50, 600, 600)
	text_scores:setVisible( false )
	

	return o
end

-- called on state_scores enter
function state_scores:enter ()
	print "[state_scores] enter state_scores"
	text_scores:setVisible( true )	
	self.time = 0
end

-- called on state_scores exit
function state_scores:exit ()
	print "[state_scores] exit state_scores"
	text_scores:setVisible( false )
	self.time = 0
end

-- called to advance state_scores
function state_scores:input ()
	-- self.time = self.time + 1
	sim:update()
		
	if sim:isKey( "key_pressed_exit_state" ) then return ENUM_MENU end
	
	return ENUM_SCORE 
end

-- called when changing state_scores
function state_scores:transition ( i ) -- transition to state_scores v
	print "[state_scores] transition"
	if self.time > 50 then print "..." end
end
